#include <SPI.h>
#include <LoRa.h>

#define ss 18
#define rst 14
#define dio0 26

int counter = 0;

void setup() {
  Serial.begin(9600);
  //while (!Serial);
  Serial.println("LoRa Sender");
  SPI.begin(5, 19, 27, 18);
  LoRa.setPins(ss, rst, dio0);
  
  if (!LoRa.begin(868E6)) {
    Serial.println("Start of LoRa failed!");
    while (1);
  }
}

void loop() {
  Serial.print("Sending packet: ");
  Serial.println(counter);
  // send packet
  LoRa.beginPacket();
  LoRa.print("Nr of Tx: ");
  LoRa.print(counter);
  LoRa.endPacket();
  counter++;
  delay(5000);
}
